package com.tencent.mm.plugin.appbrand.appusage;

import com.tencent.matrix.trace.core.AppMethodBeat;

public enum l$c {
    WXAPP(1),
    H5(2);
    
    private int bTx;

    static {
        AppMethodBeat.o(129565);
    }

    private l$c(int i) {
        this.bTx = i;
    }

    public static l$c nz(int i) {
        AppMethodBeat.i(129564);
        for (l$c l_c : values()) {
            if (i == l_c.bTx) {
                AppMethodBeat.o(129564);
                return l_c;
            }
        }
        AppMethodBeat.o(129564);
        return null;
    }
}
